[WPE] Remove unneeded USE(LIBEPOXY) guards
authormcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Nov 2017 18:57:42 +0000 (18:57 +0000)
committermcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Nov 2017 18:57:42 +0000 (18:57 +0000)
https://bugs.webkit.org/show_bug.cgi?id=179228

Reviewed by Carlos Garcia Campos.

USE(LIBEPOXY) is already mandatory for WPE.

* platform/graphics/egl/GLContextEGLWPE.cpp:
* platform/graphics/wpe/PlatformDisplayWPE.cpp:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@224412 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Source/WebCore/ChangeLog
Source/WebCore/platform/graphics/egl/GLContextEGLWPE.cpp
Source/WebCore/platform/graphics/wpe/PlatformDisplayWPE.cpp

index 2abd8ea..218ebc4 100644 (file)
@@ -1,3 +1,15 @@
+2017-11-03  Michael Catanzaro  <mcatanzaro@igalia.com>
+
+        [WPE] Remove unneeded USE(LIBEPOXY) guards
+        https://bugs.webkit.org/show_bug.cgi?id=179228
+
+        Reviewed by Carlos Garcia Campos.
+
+        USE(LIBEPOXY) is already mandatory for WPE.
+
+        * platform/graphics/egl/GLContextEGLWPE.cpp:
+        * platform/graphics/wpe/PlatformDisplayWPE.cpp:
+
 2017-11-03  Ali Juma  <ajuma@chromium.org>
 
         Layout viewport rect is too wide after window resize
index 57a18ce..f4dafb2 100644 (file)
 // FIXME: For now default to the GBM EGL platform, but this should really be
 // somehow deducible from the build configuration.
 #define __GBM__ 1
-#if USE(LIBEPOXY)
 #include "EpoxyEGL.h"
-#else
-#include <EGL/egl.h>
-#endif
 #include <wpe/renderer-backend-egl.h>
 
 namespace WebCore {
index 2b5fe32..0568dad 100644 (file)
 // FIXME: For now default to the GBM EGL platform, but this should really be
 // somehow deducible from the build configuration.
 #define __GBM__ 1
-#if USE(LIBEPOXY)
 #include "EpoxyEGL.h"
-#else
-#include <EGL/egl.h>
-#endif
 #include <wpe/renderer-backend-egl.h>
 
 namespace WebCore {